Bug 808571 - rhel 6.3 -- add relevant wireless fixes from upstream 3.2.y tree
rhel 6.3 -- add relevant wireless fixes from upstream 3.2.y tree
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: John W. Linville
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2012-03-30 14:25 EDT by John W. Linville
Modified: 2012-06-20 04:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: kernel-2.6.32-265.el6
Doc Type: Bug Fix
Doc Text:
The rt2800usb/rt2x00 driver has been updated to add support for D-Link DWA-127 11N USB Wireless Network Card.
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 04:44:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John W. Linville 2012-03-30 14:25:14 EDT
The following upstream wireless fixes were found to be relevant to the 3.2.y (aka "stable") tree between 3.2.6 and 3.2.13.  Since the wireless code in RHEL 6.3 is based upon the wireless code in 3.2.6, these fixes should be relevant for RHEL 6.3

      mac80211: timeout a single frame in the rx reorder buffer
      ath9k: fix a WEP crypto related regression
      ath9k_hw: fix a RTS/CTS timeout regression
      ath9k_hw: prevent writes to const data on AR9160
      iwlwifi: fix key removal
      ath9k: Fix kernel panic during driver initilization
      mac80211: Fix a rwlock bad magic bug
      mac80211: zero initialize count field in ieee80211_tx_rate
      ath9k: stop on rates with idx -1 in ath9k rate control's .tx_status
      rt2x00: fix random stalls
      iwl3945: fix possible il->txq NULL pointer dereference in delayed works

Rather than wait for each individual bug to be discovered, reported, triaged, etc individually, I would prefer to simply include these fixes en masse.
Comment 1 RHEL Product and Program Management 2012-03-30 14:40:20 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 3 John W. Linville 2012-04-09 13:57:39 EDT
A couple more...

      rt2x00: Add support for D-Link DWA-127 to rt2800usb.
      iwlwifi: always monitor for stuck queues
      p54spi: Release GPIO lines and IRQ on error in p54spi_probe
Comment 6 Aristeu Rozanski 2012-04-20 11:04:46 EDT
Patch(es) available on kernel-2.6.32-265.el6
Comment 9 Martin Prpič 2012-05-28 04:04:31 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    New Contents:
The rt2800usb/rt2x00 driver has been updated to add support for D-Link DWA-127 11N USB Wireless Network Card.
Comment 12 errata-xmlrpc 2012-06-20 04:44:54 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.